Bug 139842 - missing Requires: python-abi = %{pyver}
missing Requires: python-abi = %{pyver}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebindings (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-18 08:23 EST by Joe Orton
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-18 09:52:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2004-11-18 08:23:26 EST
kdebindings needs rebuilding against Python 2.4 and is missing a
"Requires: python-abi" like:

%define pyver %(%{__python} -c "import sys; print sys.version[:3]")
...
Requires: python-abi = %{pyver}
Comment 1 Ngo Than 2004-11-18 09:24:24 EST
python binding (sip and pyqt) is always disable in the kdebinding. we
have both as separate packages.

Therefore it's not needed to add this requires here.
Comment 2 Ngo Than 2004-11-18 09:27:11 EST
oh sorry, it's yet needed for dcop! it will be fixed in next rebuild
Comment 3 Joe Orton 2004-11-18 09:37:41 EST
$ rpm -q kdebindings
kdebindings-3.3.1-1.i386
$ rpm -ql kdebindings | grep python
/usr/lib/python2.3
/usr/lib/python2.3/pydcop.py
/usr/lib/python2.3/site-packages
/usr/lib/python2.3/site-packages/pcop.la
/usr/lib/python2.3/site-packages/pcop.so

and the "Requires: python-abi = pyver" change is required to correctly
enforce matching of python modules with python interpreter version.
Comment 4 Ngo Than 2004-11-18 09:52:25 EST
please read Comment #2 ;-) i have overlooked this
Comment 5 Joe Orton 2004-11-18 14:23:06 EST
$ rpm -qp --requires kdebindings-3.3.1-3.i386.rpm  | grep python-abi
$

what am I missing?
Comment 6 Ngo Than 2004-11-19 05:56:09 EST
it's now definitely fixed in 3.3.1-4 ;-)

Note You need to log in before you can comment on or make changes to this bug.